Arch Space/ro: Difference between revisions

From FreeCAD Documentation
(Created page with "Arch: Space")
 
(Created page with "== Descriere == Instrumentul Spațiu vă permite să definiți un volum gol, fie bazându-l pe o formă solidă, fie prin definirea limitelor sale sau printr-un amestec de amb...")
Line 2: Line 2:
{{GuiCommand|Name=Arch Space|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Space|Shortcut=S P}}
{{GuiCommand|Name=Arch Space|Workbenches=[[Arch Module|Arch]]|MenuLocation=Arch → Space|Shortcut=S P}}


==Description==
== Descriere ==
Instrumentul Spațiu vă permite să definiți un volum gol, fie bazându-l pe o formă solidă, fie prin definirea limitelor sale sau printr-un amestec de ambele. Dacă se bazează numai pe limite, volumul se calculează pornind de la caseta delimitată a tuturor limitelor date și scăzând spațiile din spatele fiecărei limite. Obiectul spațial definește întotdeauna un volum solid. Suprafața podelei unui obiect spațial, calculată prin intersecția unui plan orizontal cu centrul de masă al volumului spațiului, poate fi de asemenea afișată, prin setarea modului de afișare a obiectului spațial la "detaliat".
The Space tool allows you to define an empty volume, either by basing it on a solid shape, or by defining its boundaries, or a mix of both. If it is based solely on boundaries, the volume is calculated by starting from the bounding box of all the given boundaries, and subtracting the spaces behind each boundary. The space object always defines a solid volume. The floor area of a space object, calculated by intersecting a horizontal plane at the center of mass of the space volume, can also be displayed, by setting the display mode of the space object to "detailed".


[[Image:Arch Space example.jpg|640px]]
[[Image:Arch Space example.jpg|640px]]

Revision as of 17:53, 17 November 2018

Arch Space

Menu location
Arch → Space
Workbenches
Arch
Default shortcut
S P
Introduced in version
-
See also
None

Descriere

Instrumentul Spațiu vă permite să definiți un volum gol, fie bazându-l pe o formă solidă, fie prin definirea limitelor sale sau printr-un amestec de ambele. Dacă se bazează numai pe limite, volumul se calculează pornind de la caseta delimitată a tuturor limitelor date și scăzând spațiile din spatele fiecărei limite. Obiectul spațial definește întotdeauna un volum solid. Suprafața podelei unui obiect spațial, calculată prin intersecția unui plan orizontal cu centrul de masă al volumului spațiului, poate fi de asemenea afișată, prin setarea modului de afișare a obiectului spațial la "detaliat".

In the above image, a space object is created from an existing solid object, then two wall faces are added as boundaries, and the display mode is set to "detailed" to show the floor area.

How to use

  1. Select an existing solid object, or faces on boundary objects
  2. Press the Arch Space button, or press S, P keys

Properties

  • DateBase: The base object, if any (must be a solid)
  • DateBoundaries: A list of optional boundary elements

Scripting

The space tool can be used in python scripts and macros by using the following function:

makeSpace(objects)
  • Creates a space object from the given objects.
  • Objects can be one document object, in which case it becomes the base shape of the space object, or a list of selection objects as returned by FreeCADGui.Selection.getSelectionEx(), or a list of tuples (object, subobjectname).
  • Returns the newly created space object.

Example:

import FreeCAD, Arch, Part
b = Part.makeBox(2,2,2)
FreeCAD.ActiveDocument.addObject("Part::Feature","Box").Shape=b
sp = makeSpace([FreeCAD.ActiveDocument.Box])

After a space object is created, selected faces can be added to it with the following function:

import FreeCADGui
Arch.addSpaceBoundaries(sp, FreeCADGui.Selection.getSelectionEx())

Boundaries can also be removed with:

Arch.removeSpaceBoundaries(sp, FreeCADGui.Selection.getSelectionEx())

Limitations

  • Not available below FreeCAD version 0.14
  • The boundaries properties is currently not editable via GUI
  • See the forum announcement